<template>
  <div>
    <List v-show="activeName=='List'" ref="list"/>
    <Info v-if="activeName=='Info'" />
  </div>
</template>
<script>
import List from './components/list'
import Info from './components/info'
export default {
  components: {
    List, Info
  },
  data() {
    return {
      activeName: 'List',
      COURSEWAREID: '',
      COURSEWARETYPE: '',
      CURRICULUM_ID: ''
    }
  },
  watch: {
    'activeName': {
      handler(newVar, oldVar) {
        if (newVar == 'refreshList') {
          this.$refs.list.goKeyReset()
          this.activeName = 'List'
        }
      }
    }
  }
}
</script>

<style scoped>

</style>
